> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Institutions

> This endpoint lists institutions that are available for connection.

See which institutions are available for connection. Information returned will include the `institution_code` assigned to a particular institution, URLs for the financial institution's logo, and the URL for its website.

This endpoint does not tell you what credentials are required to log on to an institution's website. For that, you'll need to call the [list required credentials endpoint](/api-reference/atrium/reference/institutions/read-institution-credentials).

<ParamField query="name" type="string">
  Only institutions whose name contains the appended string will be returned.
</ParamField>

<ParamField query="supports_account_identification" type="boolean">
  Only institutions which support [identity](/api-reference/atrium/reference/premium-features/identify) will be returned.
</ParamField>

<ParamField query="supports_account_statement" type="boolean">
  Only institutions which offer access to [account statements](/api-reference/atrium/reference/premium-features/list-statements) will be returned.
</ParamField>

<ParamField query="supports_account_verification" type="boolean">
  Only institutions which support [account verification](/api-reference/atrium/reference/premium-features/verify) will be returned.
</ParamField>

<ParamField query="supports_transaction_history" type="boolean">
  Only institutions which offer an [extended transaction history](/api-reference/atrium/reference/premium-features#extend-transaction-history) will be returned.
</ParamField>

<RequestExample>
  ```shell Request theme={null}
  curl -i 'https://vestibule.mx.com/institutions?name=mx' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "institutions": [
      {
        "code": "mxbank",
        "medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/INS-1572a04c-912b-59bf-5841-332c7dfafaefx100.png",
        "name": "MX Bank",
        "small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/INS-1572a04c-912b-59bf-5841-332c7dfafaefx50.png",
        "supports_account_identification": true,
        "supports_account_statement": false,
        "supports_account_verification": true,
        "supports_oauth": false,
        "supports_transaction_history": true,
        "url": "https://www.mx.com"
      }
    ],
    "pagination": {
      "current_page": 1,
      "per_page": 25,
      "total_entries": 1,
      "total_pages": 1
    }
  }
  ```
</ResponseExample>
